summaryrefslogtreecommitdiff
path: root/bin/harvest-commit-times
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2022-05-29 11:22:20 +0200
committerErich Eckner <git@eckner.net>2022-05-29 11:22:20 +0200
commita2e2eed8f3d9b7b8a2b4149cba69063e6e8ab132 (patch)
treed370446ef66fb174257beb8b3ec1628933967fa5 /bin/harvest-commit-times
parent8e8978be5008688350dbdf0f0cc12a760d9042e3 (diff)
downloadbuilder-master.tar.xz
avoid password-authentication for sshHEADmaster
Diffstat (limited to 'bin/harvest-commit-times')
-rwxr-xr-xbin/harvest-commit-times8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/harvest-commit-times b/bin/harvest-commit-times
index a978b41..7546aa4 100755
--- a/bin/harvest-commit-times
+++ b/bin/harvest-commit-times
@@ -76,9 +76,9 @@ trap 'rm "${tmp_file}"' EXIT
if ! ${i_am_the_master}; then
tmp_remote_file=$(
- ssh buildmaster "mktemp 'tmp.harvest-commit-times.remotely.XXXXXXXXXX' --tmpdir"
+ ssh -o PasswordAuthentication=No buildmaster "mktemp 'tmp.harvest-commit-times.remotely.XXXXXXXXXX' --tmpdir"
)
- trap 'rm "${tmp_file}"; ssh buildmaster rm "${tmp_remote_file}"' EXIT
+ trap 'rm "${tmp_file}"; ssh -o PasswordAuthentication=No buildmaster rm "${tmp_remote_file}"' EXIT
fi
while true; do
@@ -127,7 +127,7 @@ while true; do
if [ -s "${tmp_file}" ]; then
if ! ${i_am_the_master}; then
- ssh buildmaster 'cat > "'"${tmp_remote_file}"'"' < \
+ ssh -o PasswordAuthentication=No buildmaster 'cat > "'"${tmp_remote_file}"'"' < \
"${tmp_file}"
fi
# shellcheck disable=SC2016
@@ -149,7 +149,7 @@ while true; do
if ${i_am_the_master}; then
mysql_run_query 'unimportant'
else
- ssh buildmaster 'mysql buildmaster -N --raw --batch'
+ ssh -o PasswordAuthentication=No buildmaster 'mysql buildmaster -N --raw --batch'
fi
else
>&2 printf '\n'